Subject: [jose] IETF84 consensus poll results and a last minute opportunity for objections

From: Karen O'Donoghue <[email-masked]>
Date: Wed, 24 Oct 2012 06:34:38 -0400

Folks,

The following polls were conducted at the IETF84 meeting and followed up on the jose mailing list.

1.  Non AEAD algorithm as a single name (CLOSED)
2.  Add new ECB key wrap functionality (CLOSED)
3.  Add key wrap functionality for EC (CLOSED)
4.  Remove no key wrap for Key agree algorithms (CLOSED)
5.  Add other than pre-shared MAC key (CLOSED)
6.  Add Key Usage "both" (CLOSED)
7.  Support multiple types for algorithms (string and object) (CLOSED)
8.  RSA-OAEP/RSA-PSS default parameters (OPEN)
9.  Add a nonce/timestamp Parameter (OPEN)
10. What criticality level should be used for header fields (OPEN)
11. Is KID sufficiently defined (CLOSED)

I am preparing to send out the results of those polls (summarized above). If you have any serious
concerns with my consensus calls, you have between now and the IETF in Atlanta to clearly and
concisely articulate your concerns on the mailing list. I realize this will leave a few issues
potentially open that folks would like to have closed, but given that I'm new as one of the
co-chairs of the working group, I would prefer to err on the side of caution. I would, however,
like to have all these issues closed in Atlanta. (and my apologies especially to Jim and Mike
who worked so hard to close all the issues!)

Thanks for your patience!
Karen